# UnitSettings(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``UnitSettings`(bpy_struct)
  `scale_length`

    Scale to use when converting between blender units and dimensions

    Type: | float in [1e-05, 100000], default 0.0

  `system`

    The unit system to use for button display

    Type: | enum in [‘NONE’, ‘METRIC’, ‘IMPERIAL’], default ‘NONE’

  `system_rotation`

    Unit to use for displaying/editing rotation values

    - `DEGREES` Degrees, Use degrees for measuring angles and rotations.
    - `RADIANS` Radians.

    Type: | enum in [‘DEGREES’, ‘RADIANS’], default ‘DEGREES’

  `use_separate`

    Display units in pairs (e.g. 1m 0cm)

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Scene.unit_settings` |